Subject: [bug#40373] [PATCH] guix: new command "guix run-script"

From: Ludovic Courtès <[email-masked]>
Date: Tue, 07 Apr 2020 12:36:41 +0200

Hello,

Konrad Hinsen <[email-masked]> skribis:

> From a user interface point of view, it is preferable to have many
> commands with clear names, rather than few commands overloaded with
> multiple functions selected by cryptic options.

I agree overall, though it’s not black and white: the benefit of having
separate commands weakens as they proliferate.  A new command may be
more difficult to discover than an option to an existing command.

But anyway, let’s see how we can get ‘run-script’ in!  :-)

Thanks,
Ludo’.